import React from 'react';
import { Field } from '@alifd/next';
import './index.scss';
export interface CommonFormProps {
    dataSource: any;
    value?: object;
    children?: any;
    style?: object;
    textToColumn: number;
    fieldList: any[];
    pageInfo: any;
    containerCode?: string;
    containerName?: string;
    placeholder?: string;
    mode: string;
    isDownload: boolean;
    __designMode?: any;
}
interface StateProps {
    data: any;
    entityFields: any;
}
declare class CommonForm extends React.Component<CommonFormProps, StateProps> {
    static displyName: string;
    field: Field;
    constructor(props: CommonFormProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    onGetDetail: (detailData: any) => void;
    renderColumns: () => any;
    submit: () => Promise<void>;
    save: (info?: any) => Promise<void>;
    saveAndAdd: (info?: any) => Promise<void>;
    reset: () => void;
    render(): React.ReactNode;
}
export default CommonForm;
